Bug 181402 - [patch] emulators/pcsxr: missing umem dependency
Summary: [patch] emulators/pcsxr: missing umem dependency
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ganael LAPLANCHE
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-19 16:20 UTC by David Demelier
Modified: 2013-09-13 09:48 UTC (History)
0 users

See Also:


Attachments
pcsxr.diff (410 bytes, patch)
2013-08-19 16:20 UTC, David Demelier
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Demelier 2013-08-19 16:20:00 UTC
pcsxr links to libumem but it is not pulled as a mandatory dependency.

How-To-Repeat: Install emulators/pcsxr, try to run it. libumem.so is not found.
Comment 1 Edwin Groothuis freebsd_committer 2013-08-19 16:20:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->martymac

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Ganael LAPLANCHE freebsd_committer 2013-09-04 07:51:28 UTC
Hi David,

Thanks for your report.

The configure script looks for libumem and links to it if it is found,
but it is *not* a requirement to build pcsxr (I presume libumem is not
found when you run pcsxr because your had it installed when you built
pcsxr and you then removed the umem port, right ?).

I may be wrong but I could not find any use of the library within
pcsxr's source code, so I think the configure check for libumem is
useless ; I'll have a look at that and remove it if it is the case.

Best regards,

--
Ganael LAPLANCHE <ganael.laplanche@martymac.org>
http://www.martymac.org | http://contribs.martymac.org
FreeBSD: martymac <martymac@FreeBSD.org>, http://www.FreeBSD.org
Comment 3 David Demelier 2013-09-04 13:20:19 UTC
On 04.09.2013 08:51, Ganael LAPLANCHE wrote:
> Hi David,
> 
> Thanks for your report.
> 
> The configure script looks for libumem and links to it if it is found,
> but it is *not* a requirement to build pcsxr (I presume libumem is not
> found when you run pcsxr because your had it installed when you built
> pcsxr and you then removed the umem port, right ?).
> 
> I may be wrong but I could not find any use of the library within
> pcsxr's source code, so I think the configure check for libumem is
> useless ; I'll have a look at that and remove it if it is the case.
> 
> Best regards,
> 
> --
> Ganael LAPLANCHE <ganael.laplanche@martymac.org>
> http://www.martymac.org | http://contribs.martymac.org
> FreeBSD: martymac <martymac@FreeBSD.org>, http://www.FreeBSD.org
> 

Hi,

Yes, in the reality I did have "WITHOUT_CDDL" in /etc/src.conf which
remove libumem from base system. And because pcsxr was built on a
GENERIC jail without any src.conf it didn't run on my final system.

And yes, it builds fine on my machine which don't have any libumem so
why does it links to? Maybe a configure failure.

Cheers,
Comment 4 dfilter freebsd_committer 2013-09-13 09:24:19 UTC
Author: martymac
Date: Fri Sep 13 08:24:10 2013
New Revision: 327135
URL: http://svnweb.freebsd.org/changeset/ports/327135

Log:
  - Update to 1.9.94.r87113
  - Remove useless dependency to libumem [1]
  - Adapt USES following recent changes
  
  PR:		ports/181402 [1]
  Submitted by:	David Demelier <demelier.david@gmail.com> [1]

Added:
  head/emulators/pcsxr/files/patch-plugins-bladesio1-connection.c   (contents, props changed)
  head/emulators/pcsxr/files/patch-plugins-bladesio1-gui.c   (contents, props changed)
Modified:
  head/emulators/pcsxr/Makefile
  head/emulators/pcsxr/distinfo
  head/emulators/pcsxr/files/patch-configure.ac   (contents, props changed)
  head/emulators/pcsxr/files/patch-plugins-dfinput-Makefile.am
  head/emulators/pcsxr/pkg-plist

Modified: head/emulators/pcsxr/Makefile
==============================================================================
--- head/emulators/pcsxr/Makefile	Fri Sep 13 08:21:56 2013	(r327134)
+++ head/emulators/pcsxr/Makefile	Fri Sep 13 08:24:10 2013	(r327135)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	pcsxr
-PORTVERSION=	1.9.92.r84102
+PORTVERSION=	1.9.94.r87113
 CATEGORIES=	emulators
 MASTER_SITES=	http://contribs.martymac.org/FreeBSD-ports/distfiles/ \
 		LOCAL/martymac
@@ -30,8 +30,8 @@ USE_LDCONFIG=	yes
 USE_DOS2UNIX=	yes
 DOS2UNIX_REGEX=	.*\.(c|h|cpp|hpp|am)
 
-USE_GNOME=	gtk30 desktopfileutils glib20
-USES=		iconv gmake pkgconfig
+USE_GNOME=	gtk30 glib20
+USES=		iconv gmake pkgconfig desktop-file-utils
 USE_XORG=	x11 xv xext xxf86vm xtst
 USE_SDL=	sdl
 USE_GL=	gl
@@ -75,6 +75,5 @@ post-install:
 	${INSTALL_DATA} ${WRKSRC}/${doc} ${DOCSDIR}
 .endfor
 .endif
-	@-update-desktop-database
 
 .include <bsd.port.mk>

Modified: head/emulators/pcsxr/distinfo
==============================================================================
--- head/emulators/pcsxr/distinfo	Fri Sep 13 08:21:56 2013	(r327134)
+++ head/emulators/pcsxr/distinfo	Fri Sep 13 08:24:10 2013	(r327135)
@@ -1,2 +1,2 @@
-SHA256 (pcsxr-1.9.92.r84102.tar.bz2) = 88c86c5221f16b2d9d3c88191b7e5e08f4f62c71e17c084188497abb0e6c3295
-SIZE (pcsxr-1.9.92.r84102.tar.bz2) = 1451311
+SHA256 (pcsxr-1.9.94.r87113.tar.bz2) = cb24b2c0711f62acb866e4483dba085e90fc0cb9e4025d165fd5a618882da938
+SIZE (pcsxr-1.9.94.r87113.tar.bz2) = 1389412

Modified: head/emulators/pcsxr/files/patch-configure.ac
==============================================================================
--- head/emulators/pcsxr/files/patch-configure.ac	Fri Sep 13 08:21:56 2013	(r327134)
+++ head/emulators/pcsxr/files/patch-configure.ac	Fri Sep 13 08:24:10 2013	(r327135)
@@ -1,5 +1,5 @@
---- configure.ac.orig	2011-01-25 06:54:07.000000000 +0100
-+++ configure.ac	2011-01-26 14:35:39.236296066 +0100
+--- configure.ac.orig	2013-09-10 11:55:59.000000000 +0200
++++ configure.ac	2013-09-13 09:42:28.018735076 +0200
 @@ -8,6 +8,7 @@
  AC_CONFIG_HEADERS([include/config.h:include/config.h.in])
  
@@ -8,3 +8,12 @@
  AM_PROG_CC_C_O
  AC_PROG_INSTALL
  AC_STDC_HEADERS
+@@ -54,7 +55,7 @@
+ AC_CHECK_LIB(dl, dlsym, [LIBS="$LIBS -ldl"], [])
+ AC_CHECK_LIB(socket, socket, [LIBS="$LIBS -lsocket"], [])
+ AC_CHECK_LIB(nsl, gethostbyname, [LIBS="$LIBS -lnsl"], [])
+-AC_CHECK_LIB(umem, umem_alloc, [LIBS="$LIBS -lumem"], [])
++dnl AC_CHECK_LIB(umem, umem_alloc, [LIBS="$LIBS -lumem"], [])
+ 
+ AM_CONDITIONAL(SOUND_OSS, false)
+ AM_CONDITIONAL(SOUND_SDL, false)

Added: head/emulators/pcsxr/files/patch-plugins-bladesio1-connection.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/emulators/pcsxr/files/patch-plugins-bladesio1-connection.c	Fri Sep 13 08:24:10 2013	(r327135)
@@ -0,0 +1,10 @@
+--- plugins/bladesio1/connection.c.orig	2013-09-12 09:19:20.862489051 +0200
++++ plugins/bladesio1/connection.c	2013-09-12 09:20:25.386489200 +0200
+@@ -25,6 +25,7 @@
+ #if defined _WINDOWS
+ #include <winsock2.h>
+ #else
++#include <sys/types.h>
+ #include <sys/socket.h>
+ #include <netinet/in.h>
+ #include <netinet/tcp.h>

Added: head/emulators/pcsxr/files/patch-plugins-bladesio1-gui.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/emulators/pcsxr/files/patch-plugins-bladesio1-gui.c	Fri Sep 13 08:24:10 2013	(r327135)
@@ -0,0 +1,46 @@
+--- plugins/bladesio1/gui.c.orig	2013-09-10 15:56:22.000000000 +0200
++++ plugins/bladesio1/gui.c	2013-09-10 15:59:32.000000000 +0200
+@@ -26,8 +26,6 @@
+ #include <gtk/gtk.h>
+ 
+ #include <sys/socket.h>
+-#include <sys/ioctl.h>
+-#include <linux/if.h>
+ #include <netinet/in.h>
+ #include <arpa/inet.h>
+ #include <netdb.h>
+@@ -40,6 +38,11 @@
+ 
+ /***************************************************************************/
+ 
++#ifdef __linux__
++
++#include <sys/ioctl.h>
++#include <linux/if.h>
++
+ #define MAXINTERFACES 16
+ 
+ void sockGetIP(char *IPAddress) {
+@@ -67,6 +70,22 @@
+ 	}
+ }
+ 
++#else
++
++void sockGetIP(char *IPAddress) {
++    struct hostent *host;
++    char str[256];
++
++    gethostname(str, 256);
++    host = gethostbyname(str);
++
++    if (host != NULL)
++        strcpy(IPAddress, inet_ntoa(*((struct in_addr *)host->h_addr_list[0])));
++    else strcpy(IPAddress, "127.0.0.1");
++}
++
++#endif
++
+ void cfgSysMessage(const char *fmt, ...) {
+ 	GtkWidget *MsgDlg;
+ 	va_list list;

Modified: head/emulators/pcsxr/files/patch-plugins-dfinput-Makefile.am
==============================================================================
--- head/emulators/pcsxr/files/patch-plugins-dfinput-Makefile.am	Fri Sep 13 08:21:56 2013	(r327134)
+++ head/emulators/pcsxr/files/patch-plugins-dfinput-Makefile.am	Fri Sep 13 08:24:10 2013	(r327135)
@@ -1,5 +1,5 @@
---- plugins/dfinput/Makefile.am.orig	2012-11-07 17:22:21.000000000 +0100
-+++ plugins/dfinput/Makefile.am	2012-11-07 17:24:22.000000000 +0100
+--- plugins/dfinput/Makefile.am.orig	2013-09-10 15:40:15.000000000 +0200
++++ plugins/dfinput/Makefile.am	2013-09-10 15:43:00.000000000 +0200
 @@ -1,14 +1,14 @@
 -bindir = @libdir@/games/psemu/
 -libdir = @libdir@/games/psemu/
@@ -10,18 +10,18 @@
  
  libDFInput_la_SOURCES = cfg.c pad.c pad.h sdljoy.c xkb.c analog.c util.c util.h
 -libDFInput_la_LDFLAGS = -module -avoid-version 
--libDFInput_la_LIBADD = -lpthread -lX11 $(SDL_LIBS)
+-libDFInput_la_LIBADD = -lpthread -lX11 $(SDL2_LIBS) $(SDL_LIBS)
 +libDFInput_la_LDFLAGS = -module -avoid-version -pthread
-+libDFInput_la_LIBADD = -lX11 $(SDL_LIBS)
++libDFInput_la_LIBADD = -lX11 $(SDL2_LIBS) $(SDL_LIBS)
  
  AM_CPPFLAGS = -DLOCALE_DIR=\"${datadir}/locale/\" \
 -	-DDATADIR=\"${datadir}/psemu/\" \
 +	-DDATADIR=\"${datadir}/pcsxr/\" \
  	$(GTK3_CFLAGS) \
- 	-I../../include -I../../libpcsxcore $(SDL_CFLAGS)
+ 	-I../../include -I../../libpcsxcore $(SDL2_CFLAGS) $(SDL_CFLAGS)
  
 @@ -17,5 +17,5 @@
- cfgDFInput_LDADD = $(GTK3_LIBS) $(SDL_LIBS) -lX11
+ cfgDFInput_LDADD = $(GTK3_LIBS) $(SDL2_LIBS) $(SDL_LIBS) -lX11
  
  glade_DATA = dfinput.ui
 -gladedir = $(datadir)/psemu/

Modified: head/emulators/pcsxr/pkg-plist
==============================================================================
--- head/emulators/pcsxr/pkg-plist	Fri Sep 13 08:21:56 2013	(r327134)
+++ head/emulators/pcsxr/pkg-plist	Fri Sep 13 08:24:10 2013	(r327135)
@@ -19,6 +19,7 @@ share/pcsxr/gpu.png
 share/pcsxr/dfsound.ui
 share/pcsxr/spu.png
 share/pcsxr/sio1.png
+share/pcsxr/sio1.ui
 share/pcsxr/cd.png
 share/pcsxr/iso-reopen.png
 share/pcsxr/cdr.png
@@ -32,12 +33,16 @@ share/pcsxr/pcsxr.png
 share/pixmaps/pcsxr-icon.png
 share/applications/pcsxr.desktop
 @dirrmtry share/applications
+lib/pcsxr/cfgBladeSio1
 lib/pcsxr/cfgDFXVideo
 lib/pcsxr/cfgpeopsxgl
 lib/pcsxr/cfgDFInput
 lib/pcsxr/cfgDFCdrom
 lib/pcsxr/cfgDFSound
 lib/pcsxr/cfgDFNet
+lib/pcsxr/libBladeSio1.a
+lib/pcsxr/libBladeSio1.la
+lib/pcsxr/libBladeSio1.so
 lib/pcsxr/libDFXVideo.a
 lib/pcsxr/libDFXVideo.la
 lib/pcsxr/libDFXVideo.so
@@ -57,5 +62,3 @@ lib/pcsxr/libDFNet.a
 lib/pcsxr/libDFNet.la
 lib/pcsxr/libDFNet.so
 @dirrm lib/pcsxr
-@exec %%LOCALBASE%%/bin/update-desktop-database > /dev/null || /usr/bin/true
-@unexec %%LOCALBASE%%/bin/update-desktop-database > /dev/null || /usr/bin/true
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Ganael LAPLANCHE freebsd_committer 2013-09-13 09:48:02 UTC
State Changed
From-To: open->closed

Useless dependency to libumem removed, thanks!